.schedule-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: 100px auto 320px auto;
  width: 90%;
  border: 2px solid #0087e0;
  border-radius: 10px 10px 0 0;
  font-size: 14px;
}

.schedule-header {
  display: flex;
  justify-content: space-between;
  padding: 20px 30px;
  height: auto;
  border-bottom: 2px solid #0087e0;
  width: 100%;
}

.schedule-header div {
  display: flex;
}

.schedule-header .flaticon-calendar {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  color: #0087e0;
  font-size: 22px;
}

.schedule-header div span {
  margin-right: 10px;
}

.schedule-container table {
  width: 100%;
  border-top-width: 0;
  border-bottom-width: 0;
}

.schedule-container table td {
  border-left: rgba(157, 157, 157, 255) solid 1px;
  border-bottom: rgba(157, 157, 157, 255) solid 1px;
  padding: 30px 0;
  width: 15%;
  position: relative;
}

.schedule-container table tbody:last-child td {
  border-bottom: none;
}

.schedule-container table tr td:last-child {
  border-left: none;
}

.schedule-container table tr td:first-child {
  width: 10%;
}

.course-block {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: absolute;
  border-right: 10px solid;
  border-radius: 10px;
  opacity: 0.7;
  font-size: 16px;
  top: 2%;
  right: 2%;
  left: 2%;
  bottom: 2%;
}

.class-type,
.class-name {
  font-weight: 500;
}

.asli-schedule {
  border-color: rgba(255, 89, 94, 1);
  background-color: rgba(255, 89, 94, 0.7);
}

.takhasosi-schedule {
  border-color: rgba(0, 135, 224, 1);
  background-color: rgba(0, 135, 224, 0.7);
}

.paaye-schedule {
  border-color: rgba(6, 214, 160, 1);
  background-color: rgba(6, 214, 160, 0.7);
}

.umumi-schedule {
  border-color: rgba(237, 187, 65, 1);
  background-color: rgba(237, 187, 65, 0.7);
}

.spinner-loading-schedule {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px 0;
}
